package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 参数管理表
 * </p>
 */
@Data
@TableName("sys_service_set")
public class ServiceSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 所属组织id
     */
    @TableField("organize_id")
    private Long organizeId;

    /**
     * 所属组织
     */
    @TableField("organize_name")
    private String organizeName;

    /**
     * 参数名
     */
    @TableField("param_name")
    private String paramName;

    /**
     * 参数值
     */
    @TableField("param_value")
    private String paramValue;

    /**
     * 参数说明
     */
    @TableField("explain")
    private String explain;

    /**
     * 参数描述
     */
    @TableField("describe")
    private String describe;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
