package com.lantone.dblayermbg.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 字典管理表
 * </p>
 */
@Data
@TableName("sys_dictionaries")
public class Dictionaries implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 字典id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 代码类别
     */
    @TableField("type")
    private String type;

    /**
     * 字典编码
     */
    @TableField("code")
    private String code;

    /**
     * 代码名称
     */
    @TableField("name")
    private String name;

    /**
     * 字典说明
     */
    @TableField("explain")
    private String explain;

    /**
     * 状态 0:禁用，1：启用
     */
    @TableField("status")
    private String status;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    @TableField("is_deleted")
    private String isDeleted;


}
